
# Changelog for Social Networking Library

All notable changes to this project will be documented in this file.
This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v2.0.0] - 2023-10-24
 - Feature #25901, add Cassandra 4.1.3 java client  

## [v1.18.0] - 2022-09-20

 - Feature #23891, The (wrongly named) Feed class has been changed to Post, all the methods have been changed accordingly and the old one set as deprecated

## [v1.17.0] - 2022-05-13

 - Added support for Catalogue notifications
 - Ported to git

## [v1.16.1] - 2018-03-07

 - Added JsInterop DTOs (ClientPost, ClientAttachment and JSON) for supporting new IPC Client side in NewsFeed
 
## [v1.16.0] - 2017-05-25

 - Added feature for hashtags in comments
 
## [v1.15.0] - 2017-01-25

 - Added support for job completion notifications
 - Improved exceptions handling
 
## [v1.14.0] - 2016-09-29

 - Upgraded astyanax dependency to 2.0.2
 - Removed support for Document Workflow notification
  
## [v1.13.0] - 2016-09-05

 - Method to close connections pool to Apache Cassandra added
 - Added methods to retrieve recent user's commented and liked posts
 - Added enum class ShowUserStatisticAction

## [v1.10.0] - 2016-01-22

 - Feature #1982, multi attachments to posts
 
## [v1.9.0] - 2016-01-15

 - Feature #1663, for user statistics fast retrieval
 - Feature #1493, updated the way we instanciate keyspace, now it is more efficient
 - Fix Bug #246, updated methods for editing comments

## [v1.8.0] - 2015-07-03

 - Added feature for invites and hashtags
 
## [v1.6.0] - 2014-04-08

 - Added feature for post retrieval by range
 - Added feature for notifications retrieval by range
 - Added feature for unlike 
  
## [v1.5.0] - 2014-03-05

 - Added feature for post alert notifications

## [v1.3.0] - 2013-07-08

 - Added feature for calendar notifications
 - Added feature for URL encoding decoding js base 6
 
## [v1.2.0] - 2013-05-29

 - Added feature for fine grained notifications
 
## [v1.1.0] - 2013-04-19

 - Added feature for people taggings (mentions)
 - Fix for method getAllPortalPrivacyLevelFeeds() not recongnizing application posts

## [v1.0.0] - 2013-01-11

- First release
